NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::SheetMetal::BendListItemBuilder Class Reference

Represents a Sheetmetal Flat Pattern bend list item builder class. More...

Inheritance diagram for NXOpen::Features::SheetMetal::BendListItemBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

int BendID ()
 Returns the new bend id
Created in NX12.0.0. More...
 
NXString BendName ()
 Returns the bend name
Created in NX12.0.0. More...
 
void SetBendID (int bendId)
 Sets the new bend id
Created in NX12.0.0. More...
 
void SetBendName (const NXString &bendName)
 Sets the bend name
Created in NX12.0.0. More...
 
void SetBendName (const char *bendName)
 Sets the bend name
Created in NX12.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a Sheetmetal Flat Pattern bend list item builder class.

This builder is used to edit the bend sequence ID and bend name of the bends in the bend list. BendListItemBuilder objects will be created and populated in the BendListBuilder when bend information of a flat pattern view is populated. User should never need to create or delete BendListItemBuilder object on its own.
To create a new instance of this class, use NXOpen::Features::SheetMetal::SheetmetalManager::CreateBendListItemBuilder

Created in NX12.0.0.

Member Function Documentation

int NXOpen::Features::SheetMetal::BendListItemBuilder::BendID ( )

Returns the new bend id
Created in NX12.0.0.



License requirements : None

NXString NXOpen::Features::SheetMetal::BendListItemBuilder::BendName ( )

Returns the bend name
Created in NX12.0.0.



License requirements : None

void NXOpen::Features::SheetMetal::BendListItemBuilder::SetBendID ( int  bendId)

Sets the new bend id
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
bendIdbendid
void NXOpen::Features::SheetMetal::BendListItemBuilder::SetBendName ( const NXString bendName)

Sets the bend name
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
bendNamebendname
void NXOpen::Features::SheetMetal::BendListItemBuilder::SetBendName ( const char *  bendName)

Sets the bend name
Created in NX12.0.0.



License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

Parameters
bendNamebendname

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.